Subject: bug#33999: CP437: Invalid Argument on init

From: Ludovic Courtès <[email-masked]>
Date: Sat, 19 Jan 2019 11:19:24 +0100

Hi,

Danny Milosavljevic <[email-masked]> skribis:

> On Wed, 16 Jan 2019 12:00:15 +0100
> Ludovic Courtès <[email-masked]> wrote:
>
>> Glibc has the ability to bring in statically-linked gconv modules, so we
>> could in theory build a custom glibc for the statically-linked
>> ‘fsck.fat’, but that doesn’t sound great.
>> 
>> Thoughts?
>
> Reading the dosfstools source, I found that there is already a fallback
> if the codepage conversion does not work, so I don't think we have to
> change anything there (see dosfstools-4.1/src/file.c in function
> "put_char").
>
> But according to Bryan, even mounting *without* checking the UEFI partition
> doesn't work.
>
> There's something else up (I very much doubt that mounting requires iconv--
> since the mounting happens in the Linux kernel and not in the GNU userland
> at runtime).

Ah so it must be the charset conversion kernel module that’s missing?
How can we reproduce the issue?  Is there a way to mark the VFAT file
system as requiring a specific file name encoding?  (I’ve never had
troubles mounting my UEFI partition.)

Ludo’.